package cn.axzo.workflow.common.enums;

import cn.axzo.framework.rocketmq.Event;

/**
 * 流程模型关联的文档变更 MQ 事件枚举定义
 *
 * @author wangli
 * @since 2025-04-07 16:46
 */
public enum DocChangeEventEnum {
    DOC_CHANGE("doc", "doc-change", "模型关联文档变更"),
    ;

    private final String module;
    private final String tag;
    private final String desc;
    private Event.EventCode eventCode;

    DocChangeEventEnum(String module, String tag, String desc) {
        this.eventCode = Event.EventCode.builder()
                .module(module)
                .name(tag)
                .build();
        this.module = module;
        this.tag = tag;
        this.desc = desc;
    }

    public String getModule() {
        return module;
    }

    public String getTag() {
        return tag;
    }

    public String getDesc() {
        return desc;
    }

    public Event.EventCode getEventCode() {
        return eventCode;
    }
}
